package com.xhkjedu.sapi.mapper.scantron;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sapi.model.scantron.TScantron;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description：答题卡
 * @Author: WN
 * @Date: 2024/10/25 9:50:52
 **/
public interface ScantronMapper extends TkMapper<TScantron> {

    //答题卡列表
    List<Map<String,Object>> listScantrons(@Param("s")TScantron s);

    //修改答题卡公开状态
    int updateScantronPubliched(@Param("sid")int sid, @Param("publiched")int publiched);

    //获取答题卡所在学校区域信息
    String getSchoolCloud();

    //更改pdf地址
    Integer updatePdfpath(@Param("sid")int sid, @Param("pdfpath")String pdfpath);
}
